Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.convert
Interface Converter

All Known Implementing Classes:
  ConverterImpl

public interface Converter

converts bean property values to DOM ELements representing HTML forms.

Author:
  av

Method Summary
`Formatter` | `getFormatter()` returns the formatter used for conversions.
`void` | `revert(java.lang.Object beanSource, org.w3c.dom.Node domTarget)` converts bean properties to DOM element attributes
`void` | `setFormatter(Formatter formatter)` sets the formatter to use for conversions
`void` | `validate(java.util.Map httpParamSource, java.util.Map fileParamSource, org.w3c.dom.Node domTarget, java.lang.Object beanTarget)` converts request parameters to DOM element attributes and bean properties

Method Detail

### validate

    public void validate(java.util.Map httpParamSource,
                         java.util.Map fileParamSource,
                         org.w3c.dom.Node domTarget,
                         java.lang.Object beanTarget)
                  throws ConvertException,
                         FormatException

  converts request parameters to DOM element attributes and bean properties

  Throws:
    `ConvertException`
    `FormatException`

### revert

    public void revert(java.lang.Object beanSource,
                       org.w3c.dom.Node domTarget)
                throws ConvertException

  converts bean properties to DOM element attributes

  Throws:
    `ConvertException`

### setFormatter

    public void setFormatter(Formatter formatter)

  sets the formatter to use for conversions

### getFormatter

    public Formatter getFormatter()

  returns the formatter used for conversions. This may be used to add new handlers for application specific data types.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD